




.image-input {
  position: relative;
  display: inline-block;
  @include border-radius($border-radius);
  background-repeat: no-repeat;
  background-size: cover;

  
  &:not(.image-input-empty) {
    background-image: none !important;
  }

  
  .image-input-wrapper {
    width: 120px;
    height: 120px;
    @include border-radius($border-radius);
    background-repeat: no-repeat;
    background-size: cover;
  }

  
  [data-kt-image-input-action='change'] {
    cursor: pointer;
    position: absolute;
    right: -10px;
    top: -10px;

    input {
      width: 0 !important;
      height: 0 !important;
      overflow: hidden;
      opacity: 0;
    }
  }

  
  [data-kt-image-input-action='cancel'],
  [data-kt-image-input-action='remove'] {
    position: absolute;
    right: -10px;
    bottom: -5px;
  }

  [data-kt-image-input-action='cancel'] {
    display: none;
  }

  
  &.image-input-changed {
    [data-kt-image-input-action='cancel'] {
      display: flex;
    }

    [data-kt-image-input-action='remove'] {
      display: none;
    }
  }

  
  &.image-input-empty {
    [data-kt-image-input-action='remove'],
    [data-kt-image-input-action='cancel'] {
      display: none;
    }
  }

  
  &.image-input-circle {
    border-radius: 50%;

    
    .image-input-wrapper {
      border-radius: 50%;
    }

    
    [data-action='change'] {
      right: 5px;
      top: 5px;
    }

    
    [data-action='cancel'],
    [data-action='remove'] {
      right: 5px;
      bottom: 5px;
    }
  }

  
  &.image-input-outline {
    .image-input-wrapper {
      border: 3px solid $white;
      box-shadow: $box-shadow;
    }
  }
}
